> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a song



## OpenAPI

````yaml api-reference/openapi.json get /songs/{song_id}
openapi: 3.1.0
info:
  title: WavMaker API
  description: ''
  version: 1.0.0
servers:
  - url: https://www.wavmaker.com/api/v1
    description: Prod Env
security:
  - bearerToken: []
tags:
  - name: Songs
  - name: Categories
  - name: Cue Packs
  - name: Artists
paths:
  /songs/{song_id}:
    get:
      tags:
        - Songs
      summary: Retrieve a song
      operationId: retrieve-song
      parameters:
        - name: song_id
          in: path
          description: ''
          required: true
          schema:
            type: string
        - name: include_alternate_versions
          in: query
          description: ''
          required: false
          example: ''
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  title:
                    type: string
                  image:
                    $ref: '#/components/schemas/Image'
                  artist:
                    type:
                      - object
                      - 'null'
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                    required:
                      - id
                      - name
                  cue_pack:
                    type:
                      - object
                      - 'null'
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                    required:
                      - id
                      - name
                  genres:
                    type: array
                    items:
                      type: string
                  moods:
                    type: array
                    items:
                      type: string
                  themes:
                    type: array
                    items:
                      type: string
                  instruments:
                    type: array
                    items:
                      type: string
                  key:
                    type:
                      - string
                      - 'null'
                    description: Musical Key Signature
                  has_vocals:
                    type: boolean
                  duration:
                    type: integer
                    description: Duration of the song in seconds
                  bpm:
                    type:
                      - integer
                      - 'null'
                    description: Beats per minute
                  energy:
                    type:
                      - string
                      - 'null'
                  mp3_url:
                    type: string
                  wav_url:
                    type: string
                  stems_url:
                    type:
                      - string
                      - 'null'
                  alternate_versions:
                    type:
                      - array
                      - 'null'
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        wav_url:
                          type: string
                      required:
                        - name
                        - wav_url
                required:
                  - id
                  - title
                  - image
                  - artist
                  - cue_pack
                  - genres
                  - moods
                  - themes
                  - instruments
                  - key
                  - has_vocals
                  - duration
                  - bpm
                  - energy
                  - mp3_url
                  - wav_url
                  - stems_url
              example:
                id: xpnw7w
                title: Dream About
                image:
                  sm: >-
                    https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MTAyMzUsInB1ciI6ImJsb2JfaWQifX0=--5b693e2ad3e1a17e015818d644c071fd0d5aa4ac/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJwbmciLCJyZXNpemVfdG9fZmlsbCI6WzEwMCwxMDBdfSwicHVyIjoidmFyaWF0aW9uIn19--c4b49c4778572373e70910bfce2bc8dd2cf81b7b/ever-us.png
                  md: >-
                    https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MTAyMzUsInB1ciI6ImJsb2JfaWQifX0=--5b693e2ad3e1a17e015818d644c071fd0d5aa4ac/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJwbmciLCJyZXNpemVfdG9fZmlsbCI6WzQwMCw0MDBdfSwicHVyIjoidmFyaWF0aW9uIn19--0f19739606c4e7a058269e200b30d48d61ea771b/ever-us.png
                  lg: >-
                    https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MTAyMzUsInB1ciI6ImJsb2JfaWQifX0=--5b693e2ad3e1a17e015818d644c071fd0d5aa4ac/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJwbmciLCJyZXNpemVfdG9fZmlsbCI6WzEwMDAsMTAwMF19LCJwdXIiOiJ2YXJpYXRpb24ifX0=--012c9d0ab27ec018ebf03b0c12d570366df09153/ever-us.png
                artist:
                  id: ever-us
                  name: Ever Us
                cue_pack: null
                genres:
                  - Pop
                  - Contemporary Pop
                moods:
                  - Heartfelt
                  - Melancholy
                  - Peaceful
                  - Romantic
                  - Sentimental
                themes:
                  - Wedding
                instruments:
                  - Bass
                  - Guitar
                  - Keys
                  - Percussion
                key: A Major
                has_vocals: true
                duration: 165
                bpm: 87
                energy: medium
                mp3_url: >-
                  https://cdn.wavmaker.com/rails/active_storage/blobs/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MjYwNjMsInB1ciI6ImJsb2JfaWQifX0=--334d7cee15a93fd3c25bc642c5dfa72b73748c79/Dream%20About_FULL.mp3
                wav_url: >-
                  https://cdn.wavmaker.com/rails/active_storage/blobs/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MjE4MjgsInB1ciI6ImJsb2JfaWQifX0=--ae00929ab830faa333a3668483dd3129ab2ccb1a/Dream%20About_FULL.wav
                stems_url: >-
                  https://cdn.wavmaker.com/rails/active_storage/blobs/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MjYwNzUsInB1ciI6ImJsb2JfaWQifX0=--9ffa10c30bc545ee9f53e2105d1f416695553d1c/Dream%20About_STEMS.zip
                alternate_versions:
                  - name: Instrumental
                    wav_url: >-
                      https://cdn.wavmaker.com/rails/active_storage/blobs/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MjE4MjksInB1ciI6ImJsb2JfaWQifX0=--36f1d68c9fda7072cfe3a3cb5f36eadc8ad54e2a/Dream%20About_INST.wav
          headers: {}
      deprecated: false
      security:
        - bearerToken: []
components:
  schemas:
    Image:
      type: object
      properties:
        sm:
          type: string
          description: 100x100 pixels
        md:
          type: string
          description: 400x400 pixels
        lg:
          type: string
          description: 1000x1000 pixels
      required:
        - sm
        - md
        - lg
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer

````